← Tabele
Wyczyść

Ireland

Ulster Championship 3

#DrużynaPWDLPDPtsForma
1Virginia RFC4400–20WWWW
2Grosvenor RFC4400–20WWWW
3Monaghan RFC4301–15LWWW
4B.H.S FP RFC4202–11LWLW
5P.S.N.I RFC4202–10WLWL
6Donaghadee RFC4202–9WLWL
7Ulster University RFC4202–9LWLW
8Newry RFC4103–5WLLL
9Cavan RFC4004–2LLLL
10Civil Service RFC4004–0LLLL

Źródło: Ulster Rugby · sprawdzono 17 paź, 20:20 · Forma: ostatnie pięć wyników, które mamy, najnowszy po prawej.

Mecze i wyniki →

Każda tabela to oficjalna klasyfikacja publikowana przez ligę, z punktami bonusowymi, karami i zasadami rozstrzygania remisów. BP pokazujemy tam, gdzie liga je publikuje; gdzie indziej są już w Pts.